//*************************************************************
//Java applet
//uScaleFilterTestv
//
//@@@@@@@@@@@@ҁF[g؁@@@
//@@@@@@@@@@쐬JnFQOOV^Q
//@@@@@@@@@@ŏIXVFQOOV^Q      [TN102/J92]
//*************************************************************
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import javax.swing.*;

public class ScaleFilterTest extends JApplet implements ActionListener {
	//EclipsȅꍇAVACY\NXłꂪȂƌxo
	private static final long serialVersionUID=0;
	//
	Image image;
	ScaleFilterTestPanel panel;
	//
	JComboBox scaleWidthCombo,scaleHeightCombo;
	JButton changeButton,formatButton;
	//
	public void init(){
		//̉摜͓̂
		image=getImage(getDocumentBase(),"natu03.jpg");
		//
		JPanel panel2=new JPanel();
		panel2.add(new JLabel("{F"));
		panel2.add(scaleWidthCombo=new JComboBox(new String[]{"1","0.3","0.5","0.8","1.5","2","3","5"}));
		panel2.add(new JLabel("wc"));
		panel2.add(scaleHeightCombo=new JComboBox(new String[]{"1","0.3","0.5","0.8","1.5","2","3","5"}));
		panel2.add(changeButton=new JButton("s"));
		panel2.add(formatButton=new JButton("ɖ߂"));
		//Reig
		Container cp=getContentPane();
		cp.add(panel=new ScaleFilterTestPanel(image,image),BorderLayout.CENTER);
		cp.add(panel2,BorderLayout.SOUTH);
		//
		changeButton.addActionListener(this);
		formatButton.addActionListener(this);
	}
	//
	public void actionPerformed(ActionEvent e) {
		if(e.getSource()==changeButton){
			//
			ImageFilter filter;
			ImageProducer producer;
			//c̔{擾
			double scale;
			//
			try{
				scale=Double.parseDouble((String)scaleWidthCombo.getSelectedItem());
			}catch(NumberFormatException nfe){
				scale=1;
			}
			int w=(int)(scale*image.getWidth(this));
			//
			try{
				scale=Double.parseDouble((String)scaleHeightCombo.getSelectedItem());
			}catch(NumberFormatException nfe){
				scale=1;
			}
			int h=(int)(scale*image.getHeight(this));
			//
			//ReplicateScaleFilter摜iiʁj
			filter=new ReplicateScaleFilter(w,h);
			producer=new FilteredImageSource(image.getSource(),filter);
			panel.image1=createImage(producer);
			//EAreaAveragingScaleFilter摜iiʁj
			filter=new AreaAveragingScaleFilter(w,h);
			producer=new FilteredImageSource(image.getSource(),filter);
			panel.image2=createImage(producer);
			//
			repaint();
		}else if(e.getSource()==formatButton){
			//
			panel.setImage(image,image);
			//
			repaint();
		}
	}
}
